{% extends 'base.html.twig' %}

{% block title %}Answer index{% endblock %}

{% block body %}
    <h1>Mode settings</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Mode</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
        {% for mode in availableModes %}
            <tr>
                <td>{{ mode }}</td>
                <td>{% if mode is same as currentMode %}
                        <strong>CURRENT</strong>
                    {% else %}
                        <a href="{{ path('app_settings_index', { mode: mode}) }}">Switch to</a>
                    {% endif %}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_answer_new') }}">Create new</a>
{% endblock %}
